Package org.firebirdsql.jdbc.parser

## Interface JaybirdSqlListener

All Superinterfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`

All Known Implementing Classes:
  `JaybirdSqlBaseListener`

    public interface JaybirdSqlListener
    extends org.antlr.v4.runtime.tree.ParseTreeListener

This interface defines a complete listener for a parse tree produced by `JaybirdSqlParser`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enterAlias​(JaybirdSqlParser.AliasContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.alias()`.
`void` `enterColumnName​(JaybirdSqlParser.ColumnNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.columnName()`.
`void` `enterDeleteStatement​(JaybirdSqlParser.DeleteStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
`void` `enterFullIdentifier​(JaybirdSqlParser.FullIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
`void` `enterInsertStatement​(JaybirdSqlParser.InsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.
`void` `enterMergeStatement​(JaybirdSqlParser.MergeStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.mergeStatement()`.
`void` `enterReturningClause​(JaybirdSqlParser.ReturningClauseContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.
`void` `enterReturningColumnList​(JaybirdSqlParser.ReturningColumnListContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.returningColumnList()`.
`void` `enterSimpleIdentifier​(JaybirdSqlParser.SimpleIdentifierContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
`void` `enterSimpleValue​(JaybirdSqlParser.SimpleValueContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.
`void` `enterStatement​(JaybirdSqlParser.StatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.statement()`.
`void` `enterTableName​(JaybirdSqlParser.TableNameContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.tableName()`.
`void` `enterUpdateOrInsertStatement​(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
`void` `enterUpdateStatement​(JaybirdSqlParser.UpdateStatementContext ctx)` Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.
`void` `exitAlias​(JaybirdSqlParser.AliasContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.alias()`.
`void` `exitColumnName​(JaybirdSqlParser.ColumnNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.columnName()`.
`void` `exitDeleteStatement​(JaybirdSqlParser.DeleteStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.
`void` `exitFullIdentifier​(JaybirdSqlParser.FullIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.
`void` `exitInsertStatement​(JaybirdSqlParser.InsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.
`void` `exitMergeStatement​(JaybirdSqlParser.MergeStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.mergeStatement()`.
`void` `exitReturningClause​(JaybirdSqlParser.ReturningClauseContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.
`void` `exitReturningColumnList​(JaybirdSqlParser.ReturningColumnListContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.returningColumnList()`.
`void` `exitSimpleIdentifier​(JaybirdSqlParser.SimpleIdentifierContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.
`void` `exitSimpleValue​(JaybirdSqlParser.SimpleValueContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.
`void` `exitStatement​(JaybirdSqlParser.StatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.statement()`.
`void` `exitTableName​(JaybirdSqlParser.TableNameContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.tableName()`.
`void` `exitUpdateOrInsertStatement​(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.
`void` `exitUpdateStatement​(JaybirdSqlParser.UpdateStatementContext ctx)` Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.

### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

`enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

### Method Detail

#### enterStatement

    void enterStatement​(JaybirdSqlParser.StatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.statement()`.

Parameters:
  `ctx` - the parse tree

#### exitStatement

    void exitStatement​(JaybirdSqlParser.StatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.statement()`.

Parameters:
  `ctx` - the parse tree

#### enterDeleteStatement

    void enterDeleteStatement​(JaybirdSqlParser.DeleteStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

Parameters:
  `ctx` - the parse tree

#### exitDeleteStatement

    void exitDeleteStatement​(JaybirdSqlParser.DeleteStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.deleteStatement()`.

Parameters:
  `ctx` - the parse tree

#### enterUpdateStatement

    void enterUpdateStatement​(JaybirdSqlParser.UpdateStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.updateStatement()`.

Parameters:
  `ctx` - the parse tree

#### exitUpdateStatement

    void exitUpdateStatement​(JaybirdSqlParser.UpdateStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.updateStatement()`.

Parameters:
  `ctx` - the parse tree

#### enterUpdateOrInsertStatement

    void enterUpdateOrInsertStatement​(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

Parameters:
  `ctx` - the parse tree

#### exitUpdateOrInsertStatement

    void exitUpdateOrInsertStatement​(JaybirdSqlParser.UpdateOrInsertStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.updateOrInsertStatement()`.

Parameters:
  `ctx` - the parse tree

#### enterInsertStatement

    void enterInsertStatement​(JaybirdSqlParser.InsertStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.insertStatement()`.

Parameters:
  `ctx` - the parse tree

#### exitInsertStatement

    void exitInsertStatement​(JaybirdSqlParser.InsertStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.insertStatement()`.

Parameters:
  `ctx` - the parse tree

#### enterMergeStatement

    void enterMergeStatement​(JaybirdSqlParser.MergeStatementContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.mergeStatement()`.

Parameters:
  `ctx` - the parse tree

#### exitMergeStatement

    void exitMergeStatement​(JaybirdSqlParser.MergeStatementContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.mergeStatement()`.

Parameters:
  `ctx` - the parse tree

#### enterReturningClause

    void enterReturningClause​(JaybirdSqlParser.ReturningClauseContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.returningClause()`.

Parameters:
  `ctx` - the parse tree

#### exitReturningClause

    void exitReturningClause​(JaybirdSqlParser.ReturningClauseContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.returningClause()`.

Parameters:
  `ctx` - the parse tree

#### enterSimpleIdentifier

    void enterSimpleIdentifier​(JaybirdSqlParser.SimpleIdentifierContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

Parameters:
  `ctx` - the parse tree

#### exitSimpleIdentifier

    void exitSimpleIdentifier​(JaybirdSqlParser.SimpleIdentifierContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.simpleIdentifier()`.

Parameters:
  `ctx` - the parse tree

#### enterFullIdentifier

    void enterFullIdentifier​(JaybirdSqlParser.FullIdentifierContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

Parameters:
  `ctx` - the parse tree

#### exitFullIdentifier

    void exitFullIdentifier​(JaybirdSqlParser.FullIdentifierContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.fullIdentifier()`.

Parameters:
  `ctx` - the parse tree

#### enterTableName

    void enterTableName​(JaybirdSqlParser.TableNameContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.tableName()`.

Parameters:
  `ctx` - the parse tree

#### exitTableName

    void exitTableName​(JaybirdSqlParser.TableNameContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.tableName()`.

Parameters:
  `ctx` - the parse tree

#### enterReturningColumnList

    void enterReturningColumnList​(JaybirdSqlParser.ReturningColumnListContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.returningColumnList()`.

Parameters:
  `ctx` - the parse tree

#### exitReturningColumnList

    void exitReturningColumnList​(JaybirdSqlParser.ReturningColumnListContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.returningColumnList()`.

Parameters:
  `ctx` - the parse tree

#### enterColumnName

    void enterColumnName​(JaybirdSqlParser.ColumnNameContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.columnName()`.

Parameters:
  `ctx` - the parse tree

#### exitColumnName

    void exitColumnName​(JaybirdSqlParser.ColumnNameContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.columnName()`.

Parameters:
  `ctx` - the parse tree

#### enterAlias

    void enterAlias​(JaybirdSqlParser.AliasContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.alias()`.

Parameters:
  `ctx` - the parse tree

#### exitAlias

    void exitAlias​(JaybirdSqlParser.AliasContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.alias()`.

Parameters:
  `ctx` - the parse tree

#### enterSimpleValue

    void enterSimpleValue​(JaybirdSqlParser.SimpleValueContext ctx)

Enter a parse tree produced by `JaybirdSqlParser.simpleValue()`.

Parameters:
  `ctx` - the parse tree

#### exitSimpleValue

    void exitSimpleValue​(JaybirdSqlParser.SimpleValueContext ctx)

Exit a parse tree produced by `JaybirdSqlParser.simpleValue()`.

Parameters:
  `ctx` - the parse tree